<?php
session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){
    header('Location:index.php');
}

// provera da li je prosledjen parametar id
if(!isset($_GET['id'])) {
    //ako nije redirektuje se na select-movie.php
    header('Location:select-movie.php');
    exit();
}

$id=$_GET['id'];

include 'header.php';

$actors=array();
$categories=array();

//ako jeste kreira se promenljiva i selektuje video iz baze sa tim id-om
$query=$conn->query("SELECT * FROM movies WHERE id=$id");
$video=$query->fetch(PDO::FETCH_OBJ);

if(!$video){
    // ako nema video u bazi
    header('Location:select-movie.php');
    exit();
}

// kreiranje upita koji ce vratiti kategorije datog filma
$query2 = $conn->query('SELECT c.id AS cat FROM movies m JOIN genres g ON m.id=g.id_movie JOIN categories c ON g.id_cat=c.id WHERE m.id='.$video->id);
while($r=$query2->fetch(PDO::FETCH_OBJ)){
    array_push($categories,$r->cat); //smestanje u niz
}

// kreiranje upita koji ce varatiti glumce za dati film
$query3 = $conn->query('SELECT a.id AS act FROM movies m JOIN roles r ON m.id=r.id_movie JOIN actors a ON r.id_actor=a.id WHERE m.id='.$video->id);
while($r=$query3->fetch(PDO::FETCH_OBJ)){
    array_push($actors,$r->act); //smestanje u niz
}

?>

<div class="container">

    <div class="row">
        <div class="col-xs-3">
            <h2>Izmena filma</h2><br>
            <!-- ispis poruke ako postoji -->
            <?php if(isset($_GET['msg'])) echo $_GET['msg']; ?>
            <form action="updateMovie.php" method="post">

                <div class="form-group">
                    <label for="tt">Naslov</label>
                    <input type="text" name="title" class="form-control" id="tt" value="<?=$video->title;?>" required/>
                </div>
                <div class="form-group">
                    <label for="dr">Režiser</label>
                    <input type="text" name="director" class="form-control" id="dr" value="<?=$video->director; ?>"/>
                </div>
                <div class="form-group">
                    <label for="y">Godina</label>
                    <input type="text" name="year" class="form-control" id="y" value="<?=$video->year; ?>"/>
                </div>
                <div class="form-group">
                    <label for="comment">Opis</label>
                    <textarea class="form-control" rows="5" id="comment" name="description" ><?=$video->description; ?></textarea>
                </div>
                <input type="hidden" name="id" value="<?= $video->id; ?>">

                <label>Izbor kategorija</label>

                <?php
                // kreiranje checkbox-ova i selektovanje istih ukoliko se nalaze u nizu kategorija za dati video
                $query=$conn->query('SELECT * FROM categories');
                while($c=$query->fetch(PDO::FETCH_OBJ)){ ?>
                    <div class="checkbox">
                        <label><input type="checkbox" name="catCheck[]" <?php if(in_array($c->id,$categories)) echo 'checked';?> value="<?php echo $c->id;?>"><?php echo $c->name;?></label>
                    </div>
                <?php } ?>

                <label for="sel2">Izbor glumaca</label><br><em>Držite Ctrl kako biste izabrali više od jednog:</em>
                <select multiple class="form-control" id="sel2" name="actors[]" size="10">
                    <?php
                    // kreiranje opcija i selektovanje istih ukoliko se nalaze u nizu glumaca za dati video
                    $query2=$conn->query('SELECT * FROM actors');
                    while($a=$query2->fetch(PDO::FETCH_OBJ)){ ?>
                        <option value="<?php echo $a->id?>" <?php if(in_array($a->id,$actors)) echo 'selected';?>><?php echo $a->fname.' '.$a->lname?></option>
                    <?php } ?>

                </select>
                <br>

                <div class="form-gorup">
                    <input type="submit" class="btn btn-info" value="Sačuvaj" name="add"/>
                </div>
            </form><br>

            <form action="select-movie.php" method="post">
                <input type="submit" class="btn btn-default" value="Nazad"/>
            </form>
        </div>

    </div>
</div>
<br><br>

<?php include 'footer.php'; ?>
