<?php
// pozivanje konekcije za bazu
include 'connectPDO.php';
$categories=[];
// selektovanje svih kategorija
$query = $conn->query('SELECT id,name FROM categories');
while($r=$query->fetch(PDO::FETCH_OBJ)){
    array_push($categories,$r);
}

$years=[];
// selektovanje svih godina
$query = $conn->query('SELECT year FROM movies ORDER BY year DESC');
while($r=$query->fetch(PDO::FETCH_OBJ)){
    array_push($years,$r->year);
}
$actors=[];
// selektovanje svih glumaca
$query = $conn->query('SELECT * FROM actors ORDER BY fname');
while($r=$query->fetch(PDO::FETCH_OBJ)){
    array_push($actors,$r);
}
?>
<!DOCTYPE html>
<html>
<head><title>Portal za filmove</title>
    <script src="assets/jquery-2.2.4.min.js"></script>
    <link rel="stylesheet" href="assets/bootstrap-3.3.6-dist/css/bootstrap.min.css">
    <script src="assets/bootstrap-3.3.6-dist/js/bootstrap.min.js"></script>
    <link rel="stylesheet" type="text/css" href="assets/style.css">
</head>
<body>

<nav class="navbar navbar-inverse navbar-fixed-top container">
    <ul class="nav navbar-nav pull-left">
        <li><a href="index.php"><span class="glyphicon glyphicon-home"></span></a></li>
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="#">Kategorije
                <span class="caret"></span></a>
            <ul class="dropdown-menu">
            <!-- Dropdown za kategorije koje  -->
                <?php foreach($categories as $cat){ ?>
                    <li><a href="movie-filter.php?category=<?= $cat->id ?>"><?= $cat->name ?></a></li>
                <?php } ?>
            </ul>
        </li>
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="#">Glumci
                <span class="caret"></span></a>
            <ul class="dropdown-menu">
                <!-- Dropdown za glumce   -->
                <?php foreach($actors as $actor){ ?>
                    <li><a href="movie-filter.php?actor=<?= $actor->id ?>"><?= $actor->fname.' '.$actor->lname ?></a></li>
                <?php } ?>
            </ul>
        </li>
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="#">Godina
                <span class="caret"></span></a>
            <ul class="dropdown-menu">
                <!-- Dropdown za godine   -->
                <?php foreach($years as $year){ ?>
                    <li><a href=movie-filter.php?year="<?= $year ?>"><?= $year ?></a></li>
                <?php } ?>
            </ul>
        </li>

    </ul>
    <ul class="nav navbar-nav pull-right">
        <!--  Ako je korisnik ulogovan u meniju moze da vidi dugme "Unesi film" i "Izloguj se"   -->
        <?php if(isset($_SESSION['username'])){ ?>
            <li  ><a href="upload-movie.php">Unesi film</a></li>
            <li ><a href="logout.php">Izloguj se</a></li>
        <?php }else{?>
        <!--  Ako nije ulogovan moze da vidi dugme "Uloguj se"  -->
            <li  ><a href="login.php">Uloguj se</a></li>
        <?php } ?>
    </ul>
</nav>

<header class="container text-center">
    <h2><span class="glyphicon glyphicon-film"></span> Dobrodošli na naš sajt, uživajte u gledanju! <span class="glyphicon glyphicon-film"></span></h2>
</header>

